Bug 263959 - x11-toolkits/wxgtk30: Use upstream release archive and convert to DISTVERSION
Summary: x11-toolkits/wxgtk30: Use upstream release archive and convert to DISTVERSION
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-13 20:42 UTC by Daniel Engberg
Modified: 2022-05-23 11:45 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Patch for wxgtk30 (1.81 KB, patch)
2022-05-13 20:42 UTC, Daniel Engberg
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2022-05-13 20:42:12 UTC
Created attachment 233899 [details]
Patch for wxgtk30

Use upstream release archive as recommended by Porters Handbook (USE_GITHUB section)

Tested with default port settings using Poudriere (12.3, amd64)
Comment 1 Daniel Engberg freebsd_committer 2022-05-13 20:43:11 UTC
...forgot to mentionen that this also converts port to use DISTVERSION
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2022-05-13 23:55:52 UTC
Comment on attachment 233899 [details]
Patch for wxgtk30

Approved by: portmgr (ports compliance)
MFH: 2022Q2 (ports compliance)
Comment 3 Loïc Bartoletti freebsd_committer 2022-05-16 18:16:13 UTC
ship it, thanks!
Comment 4 commit-hook freebsd_committer 2022-05-23 11:40:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0cd28063f0be089a1897178a366f2e720df01710

commit 0cd28063f0be089a1897178a366f2e720df01710
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2022-05-23 11:33:40 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2022-05-23 11:39:51 +0000

    x11-toolkits/wxgtk30: Use upstream release archive and convert to DISTVERSION

    Use upstream release archive as recommended by Porters Handbook

    PR:             263959
    Approved by:    lbartoletti (maintainer)

 x11-toolkits/wxgtk30/Makefile | 12 +++++-------
 x11-toolkits/wxgtk30/distinfo |  6 +++---
 2 files changed, 8 insertions(+), 10 deletions(-)